Package com.massivecraft.factions.zcore

## Enum CommandVisibility

- java.lang.Object
- - java.lang.Enum<CommandVisibility>
  - - com.massivecraft.factions.zcore.CommandVisibility

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CommandVisibility>`, `java.lang.constant.Constable`

      public enum CommandVisibility
      extends java.lang.Enum<CommandVisibility>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INVISIBLE` |
    `SECRET` |
    `VISIBLE` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static CommandVisibility` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CommandVisibility[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VISIBLE

          public static final CommandVisibility VISIBLE

    - #### SECRET

          public static final CommandVisibility SECRET

    - #### INVISIBLE

          public static final CommandVisibility INVISIBLE

  - ### Method Detail

    - #### values

          public static CommandVisibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandVisibility valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null